<?php
/*-------------------------------------------------------+
| Filename: icons.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");

// usuwanie ikonki
if(isSet($_POST['ico_delete']) && (isSet($_POST['ico_id']) && isnum($_POST['ico_id']))) {
    $check = dbcount("(ico_id)", DB_WEATHER_ICONS, "ico_id='".$_POST['ico_id']."'");
    if($check == 1) {
        $icodata = dbarray(dbquery("SELECT ico_file FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$_POST['ico_id']."'"));
        if($icodata['ico_file'] != NULL) {
            $icodel = delImage(ICO_FILES.$icodata['ico_file']);
        } else {
            $icodel = 1;
        }
        if($icodel == 1) {
            $result = dbquery("DELETE FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$_POST['ico_id']."'");
            if($result) {
                $info = "Ikonka została usunięta.<br />\n";
            } else {
                $info = "Wystąpił nieoczekiwany błąd podczas usuwania ikonki z bazy danych. Spróbuj ponownie.<br />\n";
            }
        } else {
            $info .= $icodel."<br />\n";
        }
    } else {
        $info .= "Ikonka o takim ID nie istnieje w bazie danych<br />\n";
    }
}

// usuwanie obrazka ikonki
if(isSet($_GET['icodel']) && isnum($_GET['icodel'])) {
    $check = dbcount("(ico_id)", DB_WEATHER_ICONS, "ico_id='".$_GET['icodel']."'");
    if($check == 1) {
        $icodata = dbarray(dbquery("SELECT ico_file FROM `".DB_WEATHER_ICONS."` WHERE ico_id='".$_GET['icodel']."'"));
        $icodel = delImage(ICO_FILES.$icodata['ico_file']);
        if($icodel == 1) {
            dbquery("UPDATE `".DB_WEATHER_ICONS."` SET ico_file='' WHERE ico_id='".$_GET['icodel']."'");
            $info = "Obraz ikonki został usunięty.<br />\n";
        } else {
            $info .= $icodel."<br />\n";
        }
    } else {
        $info .= "Ikonka o takim ID nie istnieje w bazie danych<br />\n";
    }
}

// dodawanie/edytowanie ikonek
if(isSet($_POST['add_ico']) || (isSet($_POST['edit_ico']) && isSet($_POST['ico_id']) && isnum($_POST['ico_id']))) {
    $info = "";

    // zabezpieczanie przeslanych danych
    $values = array($_POST['ico_name'], $_POST['ico_desc']);
    $input = stripinput($values);

    // dane przeslane do edycji ikonki
    if(isSet($_POST['edit_ico'])) {
        // sprawdzanie id ikonki
        $ico_id = $_POST['ico_id'];
        if(!isnum($ico_id)) {
            $info .= "Nie podano ID ikonki do edycji<br />\n";
        } else {
            $check = dbcount("(ico_id)", DB_WEATHER_ICONS, "ico_id='$ico_id'");
            if($check == 0) {
                $info .= "Ikonka o takim ID nie istnieje w bazie danych. Spróbuj ponownie.<br />\n";
            }
        }
    }

    // generowanie bledow
    if($input[0] == NULL && $input[1] == NULL) {
        $info .= "Nie wypełniono wszystkich danych<br />\n";
    } else {
        if($input[0] == NULL) {
            $info .= "Nazwa ikonki nie może być pusta<br />\n";
        }
        if($input[1] == NULL) {
            $info .= "Opis ikonki nie może być pusty<br />\n";
        }
    }

    // sprawdzanie wgranego/przekazanego pliku obrazka
    if(isSet($_FILES['ico_file']) && is_uploaded_file($_FILES['ico_file']['tmp_name'])) {
        require_once INCLUDES."photo_functions_include.php";

        $image = $_FILES['ico_file'];
        $image_name = stripfilename(str_replace(" ", "_", strtolower(substr($image['name'], 0, strrpos($image['name'], ".")))));
        $image_ext = strtolower(strrchr($image['name'],"."));

        if($image_ext == ".gif") {
            $filetype = 1;
        } elseif($image_ext == ".jpg") {
            $filetype = 2;
        } elseif($image_ext == ".png") {
            $filetype = 3;
        } else {
            $filetype = false;
        }

        if(!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_name)) {
            $info .= "Obrazek posiada nieprawidłową nazwę. Usuń z niej wszystkie spacje oraz polskie znaki diakrytyczne.";
        } elseif(!$filetype) {
            $info .= "Obrazek posiada niepoprawne rozszerzenie. Dopuszczalne rozszerzenia to <i>*.jpg, *.png lub *.gif</i>.<br />\n";
        } else {
            $image_new_name = image_exists(ICO_FILES, $image_name.$image_ext);
            move_uploaded_file($_FILES['ico_file']['tmp_name'], ICO_FILES.$image_new_name);
            if(function_exists("chmod")) chmod(ICO_FILES.$image_new_name, 0644);
        }

        if($info == NULL) {
            $ico_file = $image_new_name;
        } else {
            $ico_file = "";
        }
    } elseif(isSet($_POST['edit_ico']) && isSet($_POST['ico_file'])) {
        if($_POST['ico_file'] != NULL) {
            $ico_file = $_POST['ico_file'];
        } else {
            $info .= "Nie podano nazwy obrazka ikonki.<br />\n";
        }
    } else {
        $info .= "Nie wgrano obrazka ikonki.<br />\n";
    }

    // zbieranie informacji
    if($info == NULL) {

        // dodawanie ikonki
        if(isSet($_POST['add_ico'])) {
            $result = dbquery("INSERT INTO `".DB_WEATHER_ICONS."` VALUES(NULL, '".$input[0]."', '".$input[1]."', '$ico_file', '".$userdata['user_id']."', '".time()."')");
            if($result) {
                $info = "Ikonka została dodana.<br />\n";
            } else {
                $info = "Wystąpił nieoczekiwany bład podczas dodawania ikonki. Spróbuj ponownie.<br />\n";
            }
        }

        // edytowanie ikonki
        elseif(isSet($_POST['edit_ico'])) {
            $result = dbquery("UPDATE `".DB_WEATHER_ICONS."` SET ico_name='".$input[0]."', ico_desc='".$input[1]."', ico_file='$ico_file', ico_author='".$userdata['user_id']."', ico_datestamp='".time()."' WHERE ico_id='$ico_id'");
            if($result) {
                $info = "Ikonka została eytowana.<br />\n";
            } else {
                $info = "Wystąpił nieoczekiwany bład podczas edytowania ikonki. Spróbuj ponownie.<br />\n";
            }
        }

        else {
            $info .= "Nieoczekiwany błąd. Spróbuj ponownie.<br />\n";
        }

    }
}

// generowanie bledu
if(isSet($info) && $info != NULL) {
    echo "<div id='close-message' style='margin-top:10px'><div class='admin-message'>$info</div></div>\n";
}

echo "<div>\n";
echo "<h2>Dodane ikonki</h2>\n";
echo "<div style='text-align:center'>\n";

$added_icons = dbcount("(ico_id)", DB_WEATHER_ICONS);
if($added_icons > 0) {
    echo "<form action='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."' method='POST'>\n";
    $result = dbquery("SELECT ico_id, ico_name FROM `".DB_WEATHER_ICONS."` ORDER BY ico_name");
    echo "<select name='ico_id' class='textbox'>\n";
    while($ico = dbarray($result)) {
        echo "<option value='".$ico['ico_id']."'>".$ico['ico_name']."</option>\n";
    }
    echo "</select>\n";
    echo "<input type='submit' class='button' name='ico_edit' value='edytuj' />\n";
    echo "<input onclick='return confirm(\"Na pewno chcesz usunąć tę ikonkę?\");' type='submit' class='button' name='ico_delete' value='usuń' />\n";
    echo "</form>\n";
} else {
    echo "Brak dodanych ikon.\n";
}

echo "</div>\n";

if(isSet($_POST['ico_edit']) && (isSet($_POST['ico_id']) && isnum($_POST['ico_id']))) {
    $button_name = "edit_ico";
    $title = "Edycja ikony";
    $ico_id = $_POST['ico_id'];
    $ico = dbarray(dbquery("SELECT * FROM `".DB_WEATHER_ICONS."` WHERE ico_id='$ico_id'"));
} else {
    $button_name = "add_ico";
    $title = "Dodaj ikonę";
    $ico_id = 0;
    $ico = array("ico_name" => "", "ico_desc" => "", "ico_file" => "", "ico_author" => "", "ico_datestamp" => "");
}

echo "<h2>$title</h2>\n";
echo "<div style='text-align:center'>\n";
echo "<form action='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."' method='POST' enctype='multipart/form-data'>\n";
echo "<table cellspacing='1' cellpading='0' class='center tbl-border'>\n";
if(isSet($ico_id) && $ico_id != 0) {
    echo "<tr>\n";
    echo "<td class='tbl1' width='50%' align='left' valign='top'>Informacje</td>\n";
    echo "<td class='tbl1' width='50%' align='left' valign='top'>\n";
    echo "Ostatnia modyfikacja: \n";
    if(userExists($ico['ico_author'])) {
        echo "<a href='".BASEDIR."profile.php?lookup=".$ico['ico_author']."'>".getUsername($ico['ico_author'])."</a>\n";
    } else {
        echo "Użytkownik o ID: ".$ico['ico_author']." nie istnieje w bazie danych.\n";
    }
    echo "<br />\n";
    echo "Data modyfikacji: ".strftime("%d/%m/%Y", $ico['ico_datestamp'])." o godz. ".strftime("%H:%M", $ico['ico_datestamp']);
    echo "</td>\n";
    echo "</tr>\n";
}
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>Nazwa</td>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>\n";
echo "<input type='text' name='ico_name' class='textbox' value='".$ico['ico_name']."' style=width:200px' />\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>Opis</td>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>\n";
echo "<textarea name='ico_desc' class='textbox' style='width:200px;height:80px'>".$ico['ico_desc']."</textarea>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>Obrazek</td>\n";
echo "<td class='tbl1' width='50%' align='left' valign='top'>\n";
if(isSet($_POST['ico_edit']) && $ico['ico_file'] != NULL) {
    if(file_exists(ICO_FILES.$ico['ico_file'])) {
        echo "<input type='hidden' name='ico_file' value='".$ico['ico_file']."' />\n";
        echo "<a href='".ICO_FILES.$ico['ico_file']."' target='_blank'>".scaleImage(ICO_FILES.$ico['ico_file'], 150, 150, "border:0")."</a><br />\n";
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&icodel=$ico_id'>[usuń]</a>\n";
    } else {
        echo "nie odnaleziono pliku na serwerze<br />\n";
        echo "<input type='file' name='ico_file' class='textbox' style='width:200px'>\n";
    }
} else {
    echo "<input type='file' name='ico_file' class='textbox' style='width:200px'>\n";
}
echo "</td>\n";
echo "</tr>\n";
if(isSet($ico_id) && $ico_id != 0) {
    echo "<input type='hidden' name='ico_id' value='$ico_id' />\n";
}
echo "<tr>\n";
echo "<td colspan='2' class='tbl1' style='text-align:center'>\n";
echo "<input type='submit' name='$button_name' value='Zapisz' class='button' />\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "</div>\n";

echo "</div>\n";

?>