<?php
/*-------------------------------------------------------+
| Filename: settings.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");

// zapisywanie wiadomsci
if(isSet($_POST['save_settings'])) {
    $temp_type = stripinput($_POST['temp_type']);
    $tempf_type = stripinput($_POST['tempf_type']);
    $pre_type = stripinput($_POST['pre_type']);
    $wind_type = stripinput($_POST['wind_type']);
    $windmax_type = stripinput($_POST['windmax_type']);
    
    $icon = isSet($_POST['icon']) ? 1 : 0;
    $icon_name = isSet($_POST['icon_name']) ? 1 : 0;
    $icon_desc = isSet($_POST['icon_desc']) ? 1 : 0;
    $temp = isSet($_POST['temp']) ? 1 : 0;
    $tempf = isSet($_POST['tempf']) ? 1 : 0;
    $pre = isSet($_POST['pre']) ? 1 : 0;
    $wind = isSet($_POST['wind']) ? 1 : 0;
    $windmax = isSet($_POST['windmax']) ? 1 : 0;
    $rain = isSet($_POST['rain']) ? 1 : 0;
    $wet = isSet($_POST['wet']) ? 1 : 0;
    $bio = isSet($_POST['bio']) ? 1 : 0;
    
    $update = true;
    $result = set_setting("temp_type", $temp_type, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("tempf_type", $tempf_type, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("pre_type", $pre_type, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("wind_type", $wind_type, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("windmax_type", $windmax_type, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("icon", $icon, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("icon_name", $icon_name, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("icon_desc", $icon_desc, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("temp", $temp, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("tempf", $tempf, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("pre", $pre, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("wind", $wind, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("windmax", $windmax, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("rain", $rain, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("wet", $wet, "duner_weather");
    if(!$result) $update = false;
    $result = set_setting("bio", $bio, "duner_weather");
    if(!$result) $update = false;
    
    if($update) {
        $info = "Ustawienia zostały zapisane.";
    } else {
        $info = "Wystąpił nieoczekiwany błąd. Spróbuj ponownie.";
    }
}

// generowanie wiadomosci
if(isSet($info) && $info != NULL) {
    echo "<div id='close-message' style='margin-top:10px'><div class='admin-message'>$info</div></div>\n";
}

// wyswietl ustawienia
$checkbox = array(
    0 => $weather_settings['icon'] == 1 ? " checked='checked'" : "",
    1 => $weather_settings['icon_name'] == 1 ? " checked='checked'" : "",
    2 => $weather_settings['icon_desc'] == 1 ? " checked='checked'" : "",
    3 => $weather_settings['temp'] == 1 ? " checked='checked'" : "",
    4 => $weather_settings['tempf'] == 1 ? " checked='checked'" : "",
    5 => $weather_settings['pre'] == 1 ? " checked='checked'" : "",
    6 => $weather_settings['wind'] == 1 ? " checked='checked'" : "",
    7 => $weather_settings['windmax'] == 1 ? " checked='checked'" : "",
    8 => $weather_settings['rain'] == 1 ? " checked='checked'" : "",
    9 => $weather_settings['wet'] == 1 ? " checked='checked'" : "",
    10 => $weather_settings['bio'] == 1 ? " checked='checked'" : "",
);

// dostepne jednostki
$temp_units = array(
    0 => "&#186;C",
    1 => "&#186;F"
);
$speed_units = array(
    0 => "km/h",
    1 => "m/s"
);
$pressure_units = array(
    0 => "hPa",
    1 => "Pa"
);

echo "<h2>Ustawienia</h2>\n";
echo "<div style='text-align:center'>\n";
echo "<form action='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."' method='POST' enctype='multipart/form-data'>\n";
echo "<table cellspacing='1' cellpading='0' width='600' class='center'>\n";
echo "<tr><td class='tbl2' colspan='2'><strong>Domyślne ustawienia</strong></td></tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'>Temperatura:</td>\n";
echo "<td class='tbl' width='400' align='left'>\n";
echo "<select name='temp_type' class='textbox' style='width:200px'>\n";
for($i=0;$i<count($temp_units);$i++) {
    $sel = "";
    if($weather_settings['temp_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$temp_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'>Temperatura odczuwalna:</td>\n";
echo "<td class='tbl' width='400' align='left'>\n";
echo "<select name='tempf_type' class='textbox' style='width:200px'>\n";
for($i=0;$i<count($temp_units);$i++) {
    $sel = "";
    if($weather_settings['tempf_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$temp_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'>Ciśnienie:</td>\n";
echo "<td class='tbl' width='400' align='left'>\n";
echo "<select name='pre_type' class='textbox' style='width:200px'>\n";
for($i=0;$i<count($pressure_units);$i++) {
    $sel = "";
    if($weather_settings['pre_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$pressure_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'>Prędkość wiatru:</td>\n";
echo "<td class='tbl' width='400' align='left'>\n";
echo "<select name='wind_type' class='textbox' style='width:200px'>\n";
for($i=0;$i<count($speed_units);$i++) {
    $sel = "";
    if($weather_settings['wind_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$speed_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'>Prędkość wiatru do:</td>\n";
echo "<td class='tbl' width='400' align='left'>\n";
echo "<select name='windmax_type' class='textbox' style='width:200px'>\n";
for($i=0;$i<count($speed_units);$i++) {
    $sel = "";
    if($weather_settings['windmax_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$speed_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "<table cellspacing='1' cellpading='0' width='600' class='center'>\n";
echo "<tr><td class='tbl2' colspan='3'><strong>Wyświetlaj w panelu</strong></td></tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='icon'".$checkbox[0]." /> ikonki</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='icon_name'".$checkbox[1]." /> nazwa ikonki</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='icon_desc'".$checkbox[2]." /> opis ikonki</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='temp'".$checkbox[3]." /> temperatura</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='tempf'".$checkbox[4]." /> temperatura odczuwalna</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='pre'".$checkbox[5]." /> ciśnienie</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='wind'".$checkbox[6]." /> prędkość wiatru</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='windmax'".$checkbox[7]." /> wiatr w porywach do</label></td>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='rain'".$checkbox[8]." /> opady</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left'><label><input type='checkbox' name='wet'".$checkbox[9]." /> wilgotność</label></td>\n";
echo "<td class='tbl' width='200' align='left' colspan='2'><label><input type='checkbox' name='bio'".$checkbox[10]." /> biomet</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' colspan='3' style='text-align:center;padding-top:20px'><input type='submit' class='button' name='save_settings' value='Zapisz ustawienia' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "</div>\n";
?>