<?php
/*-------------------------------------------------------+
| Filename: weather.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");

// usuwanie prognozy
if(isSet($_GET['action']) && $_GET['action'] == "delete" && (isSet($_GET['w_id']) && isnum($_GET['w_id']))) {
    $info = "";
    $check = dbcount("(w_id)", DB_WEATHER, "w_id='".$_GET['w_id']."'");
    if($check == 1) {
        dbquery("DELETE FROM `".DB_WEATHER."` WHERE w_id='".$_GET['w_id']."'");
        $check = dbcount("(w_id)", DB_WEATHER, "w_id='".$_GET['w_id']."'");
        if($check == 0) {
            $info = "Prognoza została usunięta.<br />\n";
        } else {
            $info .= "Wysąpił nieoczekiwany błąd podczas usuwania prognozy z bazy danych. Spróbuj ponownie.<br />\n";
        }
    } else {
        $info .= "Prognoza pogody o takim ID nie istnieje w bazie danych.<br />\n";
    }
}

// dodawanie/edytowanie prognoz pogody
if(isSet($_POST['add_w']) || (isSet($_POST['edit_w']) && isSet($_POST['w_id']) && isnum($_POST['w_id']))) {
    $info = "";

    $integers = array(
        "icon" => $_POST['w_ico'], 
        "day" => $_POST['w_day'], 
        "month" => $_POST['w_month'], 
        "year" => $_POST['w_year'], 
        "type" => $_POST['w_type'], 
        "temp_type" => $_POST['w_temp_type'], 
        "tempf_type" => $_POST['w_tempf_type'], 
        "pre_type" => $_POST['w_pre_type'], 
        "wind_type" => $_POST['w_wind_type'], 
        "windmax_type" => $_POST['w_windmax_type']
    );
    
    $values = array(
        "temp" => $_POST['w_temp'],
        "tempf" => $_POST['w_tempf'],
        "pre" => $_POST['w_pre'],
        "wind" => $_POST['w_wind'],
        "windmax" => $_POST['w_windmax'],
        "rain" => $_POST['w_rain'],
        "wet" => $_POST['w_wet'],
        "bio" => $_POST['w_bio']
    );
    
    $strings = stripinput($values);

    $empty = false; $not_integer = false;
    
    // sprawdzanie czy ktoras z podanych wartosci nie jest pusta
    foreach($strings as $key => $value) {
        if($strings[$key] == NULL) $empty = true;
    }
    
    // sprawdzanie czy ktoras z wartosci nie jest pusta lub nie jest liczba
    foreach($integers as $key => $value) {
        if($integers[$key] == NULL || !isnum($integers[$key])) $not_integer = true;
    }
    
    // jesli ktoras z wartosci jest pusta lub nie jest liczba
    if($empty === true || $not_integer === true) {
        $info .= "Nie wypełniono wszystkich danych<br />\n";
    } else {
        // sprawdzanie, czy ID ikonki jest zapisane w bazie danych
        $check_ico = dbcount("(ico_id)", DB_WEATHER_ICONS, "ico_id='".$integers['icon']."'");
        if($check_ico == 0) $info .= "Ikonka o takim ID nie istnieje w bazie danych<br />\n";
    }

    // jesli edytujemy prognoze
    if(isSet($_POST['edit_w'])) {
        $w_id = $_POST['w_id'];
        if(!isnum($w_id)) {
            $info .= "Nie przekazano ID prognozy do edycji<br />\n";
        }
    }

    // jesli nie znaleziono bledow
    if($info == NULL) {

        // tworzenie daty (datestamp)
        if($integers['type'] == 1) {
            $hour = 0;
            $minute = 0;
        } else {
            $hour = 12;
            $minute = 0;
        }
        $w_date = mktime($hour, $minute, 0, $integers['month'], $integers['day'], $integers['year']);

        if(isSet($_POST['add_w'])) {
            $result = dbquery("INSERT INTO `".DB_WEATHER."` VALUES (NULL, '".$integers['day']."', '".$integers['month']."', '".$integers['year']."', '$w_date', '".$integers['type']."', '".$strings['temp']."', '".$integers['temp_type']."', '".$strings['tempf']."', '".$integers['tempf_type']."', '".$strings['pre']."', '".$integers['pre_type']."', '".$strings['wind']."', '".$integers['wind_type']."', '".$strings['windmax']."', '".$integers['windmax_type']."', '".$strings['rain']."', '".$strings['wet']."', '".$strings['bio']."', '".$integers['icon']."', '".$userdata['user_id']."', '".time()."')");
            if($result) {
                $info = "Prognoza została dodana.<br />\n";
            } else {
                $info = "Wystąpił nieoczekiwany błąd podczas dodawania prognozy do bazy danych. Spróbuj ponownie.<br />\n";
            }
        } else {
            $result = dbquery("
                UPDATE `".DB_WEATHER."` SET 
                    w_day = '".$integers['day']."',
                    w_month = '".$integers['month']."',
                    w_year = '".$integers['year']."',
                    w_date = '$w_date',
                    w_type = '".$integers['type']."',
                    w_temp = '".$strings['temp']."',
                    w_temp_type = '".$integers['temp_type']."',
                    w_tempf = '".$strings['tempf']."',
                    w_tempf_type = '".$integers['tempf_type']."',
                    w_pre = '".$strings['pre']."',
                    w_pre_type = '".$integers['pre_type']."',
                    w_wind = '".$strings['wind']."',
                    w_wind_type = '".$integers['wind_type']."',
                    w_windmax = '".$strings['windmax']."',
                    w_windmax_type = '".$integers['windmax_type']."',
                    w_rain = '".$strings['rain']."',
                    w_wet = '".$strings['wet']."',
                    w_bio = '".$strings['bio']."',
                    w_ico = '".$integers['icon']."',
                    w_author = '".$userdata['user_id']."',
                    w_datestamp = '".time()."'
                WHERE w_id='$w_id'
            ");
            if($result) {
                $info = "Prognoza została edytowana.<br />\n";
            } else {
                $info = "Wystąpił nieoczekiwany błąd podczas edycji prognozy do bazy danych. Spróbuj ponownie.<br />\n";
            }
        }
    }
}

// generowanie bledu
if(isSet($info) && $info != NULL) {
    echo "<div id='close-message' style='margin-top:10px'><div class='admin-message'>$info</div></div>\n";
}

echo "<div>\n";
echo "<h2>Dodane prognozy</h2>\n";
echo "<div style='text-align:center'>\n";
$added_weathers = dbcount("(w_id)", DB_WEATHER);
if($added_weathers > 0) {
    $current_order = array(1 => 0, 0);
    $column = array(1 => " class='tbl1'", " class='tbl1'", " class='tbl1'", " class='tbl1'", " class='tbl1'", " class='tbl1'", " class='tbl1'");
    $style = array(1 => " style='font-weight:bold'", " style='font-weight:bold'", " style='font-weight:bold'", " style='font-weight:bold'", " style='font-weight:bold'", " style='font-weight:bold'", " style='font-weight:bold'");
    if(!isSet($_GET['order'])) $_GET['order'] = 1;
    if(!isSet($_GET['rowstart'])) $_GET['rowstart'] = 0;
    switch($_GET['order']) {
        case 1:
            $order = "ORDER BY w_date";
            $column[1] = " class='tbl2'";
            $style[1] = " style='font-weight:bold;text-decoration:underline'";
            $current_order[1] = 1;
            break;
        case 2:
            $order = " ORDER BY w_type";
            $column[6] = " class='tbl2'";
            $style[6] = " style='font-weight:bold;text-decoration:underline'";
            $current_order[2] = 1;
            break;
        case 3:
            $order = "ORDER BY w_date DESC";
            $column[1] = " class='tbl2'";
            $style[1] = " style='font-weight:bold;text-decoration:underline'";
            $current_order[1] = 11;
            break;
        case 4:
            $order = "ORDER BY w_type DESC";
            $column[6] = " class='tbl2'";
            $style[6] = " style='font-weight:bold;text-decoration:underline'";
            $current_order[2] = 11;
            break;
        default:
            $order = " ORDER BY w_date";
            $column[1] = " class='tbl2'";
            $style[1] = " style='font-weight:bold;text-decoration:underline'";
            $current_order[1] = 1;
            break;
    }
    echo "<table cellspacing='1' cellpading='0' class='center tbl-border'>\n";
    echo "<tr>\n";
    echo "<td class='tbl2'".$style[1].">\n";
    if($current_order[1] == 1) {
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&rowstart=".$_GET['rowstart']."&order=3'>Data <img src='".INFUSIONS."duner_weather/arrow-down.gif' border='0' alt='Malejąco' /></a>\n";
    } else {
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&rowstart=".$_GET['rowstart']."&order=1'>Data <img src='".INFUSIONS."duner_weather/arrow-up.gif' border='0' alt='Rosnąco' /></a>\n";
    }
    echo "</td>\n";
    echo "<td class='tbl2'".$style[2].">Ikonka</td>\n";
    echo "<td class='tbl2'".$style[3].">Dzień</td>\n";
    echo "<td class='tbl2'".$style[4].">Miesiąc</td>\n";
    echo "<td class='tbl2'".$style[5].">Rok</td>\n";
    echo "<td class='tbl2'".$style[6].">\n";
    if($current_order[2] == 1) {
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&rowstart=".$_GET['rowstart']."&order=4'>Typ <img src='".INFUSIONS."duner_weather/arrow-down.gif' border='0' alt='Malejąco' /></a>\n";
    } else {
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&rowstart=".$_GET['rowstart']."&order=2'>Typ <img src='".INFUSIONS."duner_weather/arrow-up.gif' border='0' alt='Rosnąco' /></a>\n";
    }
    echo "</td>\n";
    echo "<td class='tbl2'".$style[7].">Akcje</td>\n";
    echo "</tr>\n";
    $sql_select = dbquery("SELECT w_id,w_day,w_month,w_year,w_ico,w_type FROM `".DB_WEATHER."`$order LIMIT ".$_GET['rowstart'].",20");
    while($ww = dbarray($sql_select)) {
        echo "<tr>\n";
        echo "<td".$column[1].">".$ww['w_day']."/".$ww['w_month']."/".$ww['w_year']."</td>\n";
        echo "<td".$column[2].">".getIcoName($ww['w_ico'])."</td>\n";
        echo "<td".$column[3].">".$ww['w_day']."</td>\n";
        echo "<td".$column[4].">".$ww['w_month']."</td>\n";
        echo "<td".$column[5].">".$ww['w_year']."</td>\n";
        echo "<td".$column[6].">\n";
        if($ww['w_type'] == 1) {
            echo "Dzień";
        } else {
            echo "Noc";
        }
        echo "</td>\n";
        echo "<td".$column[7].">\n";
        echo "<a href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&action=edit&w_id=".$ww['w_id']."&rowstart=".$_GET['rowstart']."'>edytuj</a>\n";
        echo " | \n";
        echo "<a onclick='return confirm(\"Na pewno chcesz usunąć tę prognozę?\");' href='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&action=delete&w_id=".$ww['w_id']."&rowstart=".$_GET['rowstart']."'>usuń</a>\n";
        echo "</td>\n";
        echo "</tr>\n";
    }
    echo "</table>\n";
    if($added_weathers > 20) {
        echo "<div style='text-align:center;padding-top:10px'>\n";
        echo makepagenav($_GET['rowstart'], 20, $added_weathers, 3, FUSION_SELF.$aidlink."&tab=".$_GET['tab']."&");
        echo "</div>\n";
    }
} else {
    echo "Brak dodanych prognoz.\n";
}

echo "</div>\n";

if(isSet($_GET['action']) && $_GET['action'] == "edit" && (isSet($_GET['w_id']) && isnum($_GET['w_id']))) {
    $action = "edit";
    $button_name = "edit_w";
    $title = "Edycja prognozy pogody";
    $w_id = $_GET['w_id'];
    $w = dbarray(dbquery("SELECT * FROM `".DB_WEATHER."` WHERE w_id='$w_id'"));
    $day = $w['w_day'];
    $month = $w['w_month'];
    $year = $w['w_year'];
} else {
    $action = "add";
    $button_name = "add_w";
    $title = "Dodaj prognozę pogody";
    $w_id = 0;
    $w = array(
        "w_day" => "",
        "w_month" => "",
        "w_year" => "",
        "w_type" => "",
        "w_temp" => "",
        "w_temp_type" => 0,
        "w_tempf" => "",
        "w_tempf_type" => 0,
        "w_pre" => "",
        "w_pre_type" => 0,
        "w_wind" => "",
        "w_wind_type" => 0,
        "w_windmax" => "",
        "w_windmax_type" => 0,
        "w_rain" => "",
        "w_wet" => "",
        "w_bio" => "",
        "w_ico" => ""
    );
    $day = date("j");
    $month = date("n");
    $year = date("Y");
}

// tworzenie obiektu kalendarza
$calendar_manager = new calendar();

// dostepne jednostki
$temp_units = array(
    0 => "&#186;C",
    1 => "&#186;F"
);
$speed_units = array(
    0 => "km/h",
    1 => "m/s"
);
$pressure_units = array(
    0 => "hPa",
    1 => "Pa"
);

echo "<h2>$title</h2>\n";
echo "<div style='text-align:center'>\n";
echo "<form action='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."' method='POST' enctype='multipart/form-data'>\n";
echo "<table cellspacing='1' cellpading='0' class='center tbl-border'>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Ikonka:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
    $sql_icons = dbquery("SELECT ico_id,ico_name FROM `".DB_WEATHER_ICONS."`");
    if(dbrows($sql_icons) > 0) {
        echo "<select name='w_ico' class='textbox' style='width:200px'>\n";
        while($ico = dbarray($sql_icons)) {
            $sel = "";
            if($w['w_ico'] == $ico['ico_id']) $sel = " selected='selected'";
            echo "<option value='".$ico['ico_id']."'$sel>".$ico['ico_name']."</option>\n";
        }
        echo "</select>\n";
    } else {
        echo "brak dodanych ikon!";
    }
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Dzień:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
    $days = count($calendar_manager->get_days($month, $year))+1;
    echo "<select name='w_day' class='textbox' style='width:200px'>\n";
    for($i=1;$i<$days;$i++) {
        $sel = "";
        if($day == $i) $sel = " selected='selected'";
        echo "<option$sel>$i</option>\n";
    }
    echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Miesiąc:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
    echo "<select name='w_month' class='textbox' style='width:200px'>\n";
    for($i=1;$i<13;$i++) {
        $sel = "";
        if($month == $i) $sel = " selected='selected'";
        echo "<option value='$i'$sel>".$calendar_manager->month($i)."</option>\n";
    }
    echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Rok:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
    echo "<select name='w_year' class='textbox' style='width:200px'>\n";
    $current_year = date("Y");
    for($i=$year;$i<$current_year+3;$i++) {
        $sel = "";
        if($year == $i) $sel = " selected='selected'";
        echo "<option$sel>$i</option>\n";
    }
    echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Pogoda na:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
    echo "<select name='w_type' class='textbox' style='width:200px'>\n";
    $type = array(1 => "Dzień", "Noc");
    for($i=1;$i<(count($type))+1;$i++) {
        $sel = "";
        if($w['w_type'] == $i) $sel = " selected='selected'";
        echo "<option value='$i'$sel>".$type[$i]."</option>\n";
    }
    echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Temperatura:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
echo "<input type='text' class='textbox' name='w_temp' value='".$w['w_temp']."' style='width:120px' />\n";
echo "<select name='w_temp_type' class='textbox' style='width:76px'>\n";
for($i=0;$i<count($temp_units);$i++) {
    $sel = "";
    if($w['w_temp_type'] == $i || $weather_settings['temp_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$temp_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Temperatura odczuwalna:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
echo "<input type='text' class='textbox' name='w_tempf' value='".$w['w_tempf']."' style='width:120px' />\n";
echo "<select name='w_tempf_type' class='textbox' style='width:76px'>\n";
for($i=0;$i<count($temp_units);$i++) {
    $sel = "";
    if($w['w_tempf_type'] == $i || $weather_settings['tempf_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$temp_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Ciśnienie:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
echo "<input type='text' class='textbox' name='w_pre' value='".$w['w_pre']."' style='width:120px' />\n";
echo "<select name='w_pre_type' class='textbox' style='width:76px'>\n";
for($i=0;$i<count($pressure_units);$i++) {
    $sel = "";
    if($w['w_pre_type'] == $i || $weather_settings['pre_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$pressure_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Wiatr:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
echo "<input type='text' class='textbox' name='w_wind' value='".$w['w_wind']."' style='width:120px' />\n";
echo "<select name='w_wind_type' class='textbox' style='width:76px'>\n";
for($i=0;$i<count($speed_units);$i++) {
    $sel = "";
    if($w['w_wind_type'] == $i || $weather_settings['wind_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$speed_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>W porywach:</td>\n";
echo "<td class='tbl1' width='50%' align='left'>\n";
echo "<input type='text' class='textbox' name='w_windmax' value='".$w['w_windmax']."' style='width:120px' />\n";
echo "<select name='w_windmax_type' class='textbox' style='width:76px'>\n";
for($i=0;$i<count($speed_units);$i++) {
    $sel = "";
    if($w['w_windmax_type'] == $i || $weather_settings['windmax_type'] == $i) $sel = " selected='selected'";
    echo "<option value='$i'$sel>".$speed_units[$i]."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Opady:</td>\n";
echo "<td class='tbl1' width='50%' align='left'><input type='text' class='textbox' name='w_rain' value='".$w['w_rain']."' style='width:200px' /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Wilgoność:</td>\n";
echo "<td class='tbl1' width='50%' align='left'><input type='text' class='textbox' name='w_wet' value='".$w['w_wet']."' style='width:200px' /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl1' width='50%' align='left'>Biomet:</td>\n";
echo "<td class='tbl1' width='50%' align='left'><input type='text' class='textbox' name='w_bio' value='".$w['w_bio']."' style='width:200px' /></td>\n";
echo "</tr>\n";
if(isSet($w_id) && $w_id != 0) {
    echo "<input type='hidden' name='w_id' value='$w_id' />\n";
}
echo "<tr>\n";
echo "<td colspan='2' class='tbl1' style='text-align:center'>\n";
echo "<input type='submit' name='$button_name' value='Zapisz' class='button' />\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "</div>\n";

echo "</div>\n";
?>