<?php
/*-------------------------------------------------------+
| Filename: infusion.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");

include INFUSIONS."duner_weather/infusion_db.php";

$inf_title = "Wtyczka pogody";
$inf_description = "Wtyczka umożliwiająca prowadzenie prognozy pogody.";
$inf_version = "1.0";
$inf_developer = "Mateusz Sieprawski";
$inf_email = "mateusz@duner.pl";
$inf_weburl = "http://www.duner.pl/";
$inf_folder = "duner_weather";

$inf_newtable[1] = DB_WEATHER." (
    w_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    w_day TINYINT(2) NOT NULL DEFAULT '0',
    w_month TINYINT(2) NOT NULL DEFAULT '0',
    w_year SMALLINT(4) NOT NULL DEFAULT '0',
    w_date INT(11) NOT NULL DEFAULT '0',
    w_type TINYINT(1) NOT NULL DEFAULT '1',
    w_temp VARCHAR(100) NOT NULL DEFAULT '',
    w_temp_type TINYINT(1) NOT NULL DEFAULT '1',
    w_tempf VARCHAR(100) NOT NULL DEFAULT '',
    w_tempf_type TINYINT(1) NOT NULL DEFAULT '1',
    w_pre VARCHAR(100) NOT NULL DEFAULT '',
    w_pre_type TINYINT(1) NOT NULL DEFAULT '1',
    w_wind VARCHAR(100) NOT NULL DEFAULT '',
    w_wind_type TINYINT(1) NOT NULL DEFAULT '1',
    w_windmax VARCHAR(100) NOT NULL DEFAULT '',
    w_windmax_type TINYINT(1) NOT NULL DEFAULT '1',
    w_rain VARCHAR(100) NOT NULL DEFAULT '',
    w_wet VARCHAR(100) NOT NULL DEFAULT '',
    w_bio VARCHAR(255) NOT NULL DEFAULT '',
    w_ico INT(11) NOT NULL DEFAULT '0',
    w_author INT(11) NOT NULL DEFAULT '0',
    w_datestamp INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(w_id)
) ENGINE=MyISAM";

$inf_newtable[2] = DB_WEATHER_ICONS." (
    ico_id INT(11) NOT NULL AUTO_INCREMENT,
    ico_name VARCHAR(255) NOT NULL DEFAULT '0',
    ico_desc TEXT NOT NULL DEFAULT '',
    ico_file TEXT NOT NULL DEFAULT '',
    ico_author INT(11) NOT NULL DEFAULT '0',
    ico_datestamp INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(ico_id)
) ENGINE=MyISAM";

$inf_droptable[1] = DB_WEATHER;
$inf_droptable[2] = DB_WEATHER_ICONS;

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('temp_type', '0', '$inf_folder')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tempf_type', '0', '$inf_folder')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('pre_type', '0', '$inf_folder')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('wind_type', '0', '$inf_folder')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('windmax_type', '0', '$inf_folder')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon', '1', '$inf_folder')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon_name', '1', '$inf_folder')";
$inf_insertdbrow[8] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon_desc', '1', '$inf_folder')";
$inf_insertdbrow[9] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('temp', '1', '$inf_folder')";
$inf_insertdbrow[10] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('tempf', '0', '$inf_folder')";
$inf_insertdbrow[11] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('pre', '0', '$inf_folder')";
$inf_insertdbrow[12] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('wind', '0', '$inf_folder')";
$inf_insertdbrow[13] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('windmax', '0', '$inf_folder')";
$inf_insertdbrow[14] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('rain', '0', '$inf_folder')";
$inf_insertdbrow[15] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('wet', '0', '$inf_folder')";
$inf_insertdbrow[16] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('bio', '1', '$inf_folder')";


$inf_adminpanel[1] = array(
    "title" => "Wtyczka pogody",
    "image" => "duner.gif",
    "panel" => "admin/admin.php",
    "rights" => "R02"
);

?>