<?php
/*-------------------------------------------------------+
| Filename: admin.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
require_once INFUSIONS."duner_weather/infusion_db.php";
require_once INFUSIONS."duner_weather/infusion_core.php";

global $aidlink, $weather_settings;
if(!checkrights("R02") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php"); 

// ustawianie zakladki
if(!isSet($_GET['tab']) || !isnum($_GET['tab'])) {
    $_GET['tab'] = 1;
}

opentable("Prognoza pogody");

// sprawdzanie czy usunieto ewentualny plik aktualizujacy
if(file_exists(INFUSIONS."duner_weather/update.php")) {
    echo "<div style='margin:20px 0px 20px 0px;text-align:center'><strong>Wykryto plik update.php. Jeśli zaktualizowałeś już wtyczkę, to usuń go najszybciej jak jest to możliwe.</strong></div>";
}

echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
echo "<tr>\n";
if($_GET['tab'] == 1) {
    echo "<td class='tbl1' style='font-weight:bold' width='33%'>Pogoda</td>\n";
} else {
    echo "<td class='tbl2' width='33%'><a href='".FUSION_SELF.$aidlink."&tab=1'>Pogoda</a></td>\n";
}
if($_GET['tab'] == 2) {
    echo "<td class='tbl1' style='font-weight:bold' width='33%'>Ikonki pogody</td>\n";
} else {
    echo "<td class='tbl2' width='33%'><a href='".FUSION_SELF.$aidlink."&tab=2'>Ikonki pogody</a></td>\n";
}
if($_GET['tab'] == 3) {
    echo "<td class='tbl1' style='font-weight:bold' width='33%'>Ustawienia</td>\n";
} else {
    echo "<td class='tbl2' width='33%'><a href='".FUSION_SELF.$aidlink."&tab=3'>Ustawienia</a></td>\n";
}
echo "</tr>\n";
echo "<tr>\n<td colspan='4' class='tbl1' style='padding-top:15px'>\n";
if($_GET['tab'] == 1) {
    include INFUSIONS."duner_weather/admin/weather.php";
} elseif($_GET['tab'] == 2) {
    include INFUSIONS."duner_weather/admin/icons.php";
} elseif($_GET['tab'] == 3) {
    include INFUSIONS."duner_weather/admin/settings.php";
}
echo "</td>\n</tr>";
echo "</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
